[Fai-commit] r6565 - trunk/examples/simple/scripts/CENTOS

Thomas Lange lange at alioth.debian.org
Fri Jun 3 09:55:45 UTC 2011


Author: lange
Date: 2011-06-03 09:55:45 +0000 (Fri, 03 Jun 2011)
New Revision: 6565

Modified:
   trunk/examples/simple/scripts/CENTOS/30-mkinitrd
Log:
whitespace fix


Modified: trunk/examples/simple/scripts/CENTOS/30-mkinitrd
===================================================================
--- trunk/examples/simple/scripts/CENTOS/30-mkinitrd	2011-06-03 09:53:25 UTC (rev 6564)
+++ trunk/examples/simple/scripts/CENTOS/30-mkinitrd	2011-06-03 09:55:45 UTC (rev 6565)
@@ -12,13 +12,14 @@
 
 use_mkinitrd() {
 
-# CentOS 5 uses mkinitrd
-$ROOTCMD kudzu -q -k $version
-# Unfortunately mkinitrd is horrible at guessing which modules to include,
-# especially when the running kernel is different than the kernel for which
-# we are creating an initrd...
-drivers=""
-for bus in pci virtio; do
+    # CentOS 5 uses mkinitrd
+    $ROOTCMD kudzu -q -k $version
+    # Unfortunately mkinitrd is horrible at guessing which modules to include,
+    # especially when the running kernel is different than the kernel for which
+    # we are creating an initrd...
+
+    drivers=""
+    for bus in pci virtio; do
 	for dr in `$ROOTCMD kudzu -p -k $version -b $bus|grep driver:|cut -d' ' -f2|sort -u`; do
 	    found=`find $target/lib/modules/$version/ -name $dr.ko 2>/dev/null`
 	    if [ -n "$found" ]; then
@@ -26,15 +27,14 @@
 		drivers+=" --with=$dr"
 	    fi
 	done
-done
+    done
 
-$ROOTCMD mkinitrd -f -v $drivers /boot/initrd-$version.img $version
+    $ROOTCMD mkinitrd -f -v $drivers /boot/initrd-$version.img $version
 
-if [ $? -eq 1 ]; then
-    echo "WARNING: generating initrd with list of drivers failed. Trying without."
-    $ROOTCMD mkinitrd -f -v /boot/initrd-$version.img $version
-fi
-
+    if [ $? -eq 1 ]; then
+	echo "WARNING: generating initrd with list of drivers failed. Trying without."
+	$ROOTCMD mkinitrd -f -v /boot/initrd-$version.img $version
+    fi
 }
 
 if [ -f $target/sbin/dracut ]; then




More information about the Fai-commit mailing list